require"Tserial"

function love.load()
	love.filesystem.setIdentity("PEI")
	love.graphics.setCaption("Emotion Immolation By Jacob Miller")
	saveTileMap()
	--local test = loadText(1,1)
	PLAYER_COLOR = {131,155,150,255}
	BLUE_COLOR = {0,0,255,255}
	GREEN_COLOR = {0,255,0,255}
	RED_COLOR = {255,0,0,255}
	WHITE_COLOR = {255,255,255,255}
	BROWN_COLOR = {51,25,0,255}
	BLACK_COLOR = {0,0,0,225}
	BASETILE_COLOR = {165,154,154,255}
	WALL_COLOR = {0,0,0,255}
	
	tileOffset = {}
	tileOffset.x = 550
	tileOffset.y = 625
	
	baseTiles = {}
	baseTiles.rolls = {}
	--Maps--
	local chunk = love.filesystem.load("map.lua")
	local result = chunk()
	--result.map[1][2] = 5
	for i= 0,30 do
		for ii=0,30 do
			baseTile = {}
			baseTile.width = 50
			baseTile.height = 50
			--baseTile.row = 0
			if result[i][ii] == 0 then
				baseTile.tile = love.graphics.newImage("whiteTile.png")
				baseTile.type = "white"
			elseif result[i][ii] == 1 then
				baseTile.tile = love.graphics.newImage("blueTile.png")
				baseTile.type = "blue"
			elseif result[i][ii] == 2 then
				baseTile.tile = love.graphics.newImage("greenTile.png")
				baseTile.type = "green"
			elseif result[i][ii] == 3 then
				baseTile.tile = love.graphics.newImage("redTile.png")
				baseTile.type = "red"
			elseif result[i][ii] == 4 then
				baseTile.tile = love.graphics.newImage("blackTile.png")
				baseTile.type = "black"
			elseif result[i][ii] == 5 then
				baseTile.tile = love.graphics.newImage("roller.png")
				baseTile.type = "roller"
			elseif result[i][ii] == 6 then
				baseTile.tile = love.graphics.newImage("whiteDoor.png")
				baseTile.type = "wDoor"
			elseif result[i][ii] == 7 then
				baseTile.tile = love.graphics.newImage("blueDoor.png")
				baseTile.type = "bDoor"
			elseif result[i][ii] == 8 then
				baseTile.tile = love.graphics.newImage("greenDoor.png")
				baseTile.type = "gDoor"
			elseif result[i][ii] == 9 then
				baseTile.tile = love.graphics.newImage("redDoor.png")
				baseTile.type = "rDoor"
			elseif result[i][ii] == 10 then
				baseTile.tile = love.graphics.newImage("greyTile.png")
				baseTile.type = "grey"
			end
				
			baseTile.x = (i- (30*(ii- 1)))*baseTile.width
			baseTile.y = (ii - 1)*baseTile.height
			table.insert(baseTiles,baseTile)
		end
	end
	
	--[[
	for i=0,900 do
		baseTile = {}
		baseTile.width = 50
		baseTile.height = 50
		baseTile.row = 0
		local color = math.random(1,32)
		if color == 1  or color == 2 then
			baseTile.tile = love.graphics.newImage("blueTile.png")
			baseTile.type = "blue"
		elseif color == 3  or color == 4 then
			baseTile.tile = love.graphics.newImage("redTile.png")
			baseTile.type = "red"
		elseif color == 5  or color == 6 then
			baseTile.tile = love.graphics.newImage("whiteTile.png")
			baseTile.type = "white"
		elseif color == 7  or color == 8 then
			baseTile.tile = love.graphics.newImage("greenTile.png")
			baseTile.type = "green"
		elseif color == 9 or color == 10  or color == 11 then
			baseTile.tile = love.graphics.newImage("blackTile.png")
			baseTile.type = "black"
		elseif color == 12  or color == 13 then
			baseTile.tile = love.graphics.newImage("roller.png")
			baseTile.type = "roller"
		elseif color == 14 then
			baseTile.tile = love.graphics.newImage("blueDoor.png")
			baseTile.type = "bDoor"
		elseif color == 15 then
			baseTile.tile = love.graphics.newImage("redDoor.png")
			baseTile.type = "rDoor"
		elseif color == 16 then
			baseTile.tile = love.graphics.newImage("whiteDoor.png")
			baseTile.type = "wDoor"
		elseif color == 17 then
			baseTile.tile = love.graphics.newImage("greenDoor.png")
			baseTile.type = "gDoor"
		else
			baseTile.tile = love.graphics.newImage("greyTile.png")
			baseTile.type = "grey"
		end
		if i >= 870 then
			baseTile.row = 30
		elseif i >= 840 then
			baseTile.row = 29
		elseif i >= 810 then
			baseTile.row = 28
		elseif i >= 780 then
			baseTile.row = 27
		elseif i >= 750 then
			baseTile.row = 26
		elseif i >= 720 then
			baseTile.row = 25
		elseif i >= 690 then
			baseTile.row = 24
		elseif i >= 660 then
			baseTile.row = 23
		elseif i >= 630 then
			baseTile.row = 22
		elseif i >= 600 then
			baseTile.row = 21
		elseif i >= 570 then
			baseTile.row = 20
		elseif i >= 540 then
			baseTile.row = 19
		elseif i >= 510 then
			baseTile.row = 18
		elseif i >= 480 then
			baseTile.row = 17
		elseif i >= 450 then
			baseTile.row = 16
		elseif i >= 420 then
			baseTile.row = 15
		elseif i >= 390 then
			baseTile.row = 14
		elseif i >= 360 then
			baseTile.row = 13
		elseif i >= 330 then
			baseTile.row = 12
		elseif i >= 300 then
			baseTile.row = 11
		elseif i >= 270 then
			baseTile.row = 10
		elseif i >= 240 then
			baseTile.row = 9
		elseif i >= 210 then
			baseTile.row = 8
		elseif i >= 180 then
			baseTile.row = 7
		elseif i >= 150 then
			baseTile.row = 6
		elseif i >= 120 then
			baseTile.row = 5
		elseif i >= 90 then
			baseTile.row = 4
		elseif i >= 60 then
			baseTile.row = 3
		elseif i >= 30 then
			baseTile.row = 2
		else
			baseTile.row = 1
		end
		baseTile.x = (i- (30*(baseTile.row- 1)))*baseTile.width
		baseTile.y = (baseTile.row - 1)*baseTile.height
		
		if (baseTile.x == 900 and baseTile.row == 18) or (baseTile.x == 850 and baseTile.row == 18) or (baseTile.x == 950 and baseTile.row == 18) or (baseTile.x == 900 and baseTile.row == 17) or (baseTile.x == 850 and baseTile.row == 17) or (baseTile.x == 950 and baseTile.row == 17) or (baseTile.x == 900 and baseTile.row == 19) or (baseTile.x == 850 and baseTile.row == 19) or (baseTile.x == 950 and baseTile.row == 19) then
			baseTile.tile = love.graphics.newImage("brownTile.png")
			baseTile.type = "brown"
		end
		
		table.insert(baseTiles,baseTile)
	end
	--]]
	player = {}
	player.image = love.graphics.newImage("player.png")
	player.healthMax = 20
	player.health = 20
	player.healthRegen = 0.01
	player.width = 20
	player.height = 20
	player.x = 375
	player.y = 235
	player.speed = 1
	player.attack = 1
	player.defense = 1
	player.status = "Perfect"
	player.level = 0
	player.balanceOne = 0
	player.balanceTwo = -0
	player.plannedDirectionX = 0
	player.plannedDirectionY = 0
	player.rotation = 0
end
function love.update(dt)
	local remRoller = {}
	local remRoll = {}
	updatePlayer()
	
	--UpdateTiles
	for i,v in ipairs(baseTiles)do
		if v.type == "black" then
			for ii,vv in ipairs(baseTiles.rolls)do
				if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,vv.x - tileOffset.x,vv.y - tileOffset.y,10,10) then
					table.insert(remRoll,ii)
				end
			end
		end
		if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y,player.width,player.height) then
			if v.type == "white" then
				if player.balanceOne - 1 > -20 then 
					player.balanceOne = player.balanceOne - .2
				end
			elseif v.type == "blue" then
				if player.balanceOne + 1 < 20 then 
					player.balanceOne = player.balanceOne + .2
				end
			elseif v.type == "green" then
				if player.balanceTwo - 1 > -20 then 
					player.balanceTwo = player.balanceTwo - .2
				end
			elseif v.type == "red" then
				if player.balanceTwo + 1 < 20 then 
					player.balanceTwo = player.balanceTwo + .2
				end
			elseif v.type == "black" then
				if player.plannedDirectionX == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x + 1 + player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				elseif player.plannedDirectionX == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x - 1 - player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				end
				if player.plannedDirectionY == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y + 1 + player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				elseif player.plannedDirectionY == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y - 1 - player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
			end
			elseif v.type == "wDoor" and player.balanceOne > -5 then
				if player.plannedDirectionX == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x + 1 + player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				elseif player.plannedDirectionX == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x - 1 - player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				end
				if player.plannedDirectionY == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y + 1 + player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				elseif player.plannedDirectionY == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y - 1 - player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				end
			elseif v.type == "bDoor" and player.balanceOne < 5  then
				if player.plannedDirectionX == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x + 1 + player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				elseif player.plannedDirectionX == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x - 1 - player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				end
				if player.plannedDirectionY == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y + 1 + player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				elseif player.plannedDirectionY == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y - 1 - player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				end
			elseif v.type == "gDoor" and player.balanceTwo > -5 then
				if player.plannedDirectionX == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x + 1 + player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				elseif player.plannedDirectionX == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x - 1 - player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				end
				if player.plannedDirectionY == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y + 1 + player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				elseif player.plannedDirectionY == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y - 1 - player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				end
			elseif v.type == "rDoor" and not player.balanceTwo < 5 then
				if player.plannedDirectionX == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x + 1 + player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				elseif player.plannedDirectionX == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x - 1 - player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				end
				if player.plannedDirectionY == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y + 1 + player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				elseif player.plannedDirectionY == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y - 1 - player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				end
			elseif v.type == "brown" then
				if player.balanceOne > 0 then
					player.balanceOne = player.balanceOne - .1
				end
				if player.balanceOne < 0 then
					player.balanceOne = player.balanceOne + .1
				end
				if player.balanceTwo > 0 then
					player.balanceTwo = player.balanceTwo - .1
				end
				if player.balanceTwo < 0 then
					player.balanceTwo = player.balanceTwo + .1
				end
			elseif v.type == "roller" then
				if player.plannedDirectionX == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x + 1 + player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				elseif player.plannedDirectionX == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x - 1 - player.speed,player.y,player.width,player.height) then
						player.plannedDirectionX = 0
					end
				end
				if player.plannedDirectionY == 1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y + 1 + player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				elseif player.plannedDirectionY == -1 then
					if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,v.width,v.height,player.x,player.y - 1 - player.speed,player.width,player.height) then
						player.plannedDirectionY = 0
					end
				end
			end
		end
		if v.type == "roller" then
			local number = {}
			number.value = math.random(0,1000)
			if 5 == number.value then
				rollerFire(v.x,v.y)
			end
		end
		for i,v in ipairs(baseTiles.rolls)do
			if v.dir == 1 then
				v.y = v.y - 0.0025
			elseif v.dir == 2 then
				v.x = v.x + 0.0025
			elseif v.dir == 3 then
				v.y = v.y + 0.0025
			elseif v.dir == 4 then
				v.x = v.x - 0.0025
			end
			if v.x >= 1500 or v.x <= 0 or v.y  >= 1500 or v.y <= 0 then
				table.remove(baseTiles.rolls, i)
			end
			 if CheckCollision(v.x - tileOffset.x,v.y - tileOffset.y,10,10,player.x,player.y,10,10) then
				 if player.defense - 3 >= 0 then
					table.remove(baseTiles.rolls, i)
				 else
					player.health = player.health - 3 + player.defense
					table.remove(baseTiles.rolls, i)
				end
			 end
		end
	end
	
	if player.plannedDirectionY == 1 then
		tileOffset.y = tileOffset.y + player.plannedDirectionY + (player.speed/2)
	elseif player.plannedDirectionY == -1 then
		tileOffset.y = tileOffset.y + player.plannedDirectionY - (player.speed/2)
	end
	if player.plannedDirectionX == 1 then
		tileOffset.x = tileOffset.x + player.plannedDirectionX + (player.speed/2)
	elseif player.plannedDirectionX == -1 then
		tileOffset.x = tileOffset.x + player.plannedDirectionX - (player.speed/2)
	end

	for i,v in ipairs(remRoller) do
		table.remove(baseTiles, v)
	end
	for i,v in ipairs(remRoll) do
		table.remove(baseTiles.rolls, v)
	end
end
function love.draw()
	-- Background
	--love.graphics.rectangle("fill",5,5,50,50)
	for i,v in ipairs(baseTiles) do
		--love.graphics.setColor(v.color)
		love.graphics.setColor(WHITE_COLOR)
		love.graphics.draw(v.tile,v.x - tileOffset.x,v.y - tileOffset.y)
		--love.graphics.rectangle("fill", v.x - tileOffset.x, v.y - tileOffset.y, v.width, v.height)
		love.graphics.setColor(0,0,0,255)
		--love.graphics.print(v.row,v.x+20 - tileOffset.x,v.y+20 - tileOffset.y)
	end
	for i,v in ipairs(baseTiles.rolls) do
		love.graphics.setColor(RED_COLOR)
		love.graphics.rectangle("fill",v.x - tileOffset.x,v.y - tileOffset.y,10,10)
	end
	
	drawUI()
	
	love.graphics.setColor(WHITE_COLOR)
	--love.graphics.circle("fill",player.x,player.y, 15)
	--love.graphics.rectangle("fill",player.x,player.y, player.width,player.height)
	love.graphics.draw(player.image,player.x,player.y,player.rotation,1)
end

function drawUI()
	love.graphics.setColor(BROWN_COLOR)
	love.graphics.rectangle("fill",0,0,800,100)
	love.graphics.setColor(BLACK_COLOR)
	love.graphics.line(50,50,140,50)
	if player.balanceOne > 0 then
		love.graphics.setColor(BLUE_COLOR)
	else
		love.graphics.setColor(WHITE_COLOR)
	end
	love.graphics.rectangle("fill",60,50,10,player.balanceOne)
	if player.balanceTwo > 0 then
		love.graphics.setColor(RED_COLOR)
	else
		love.graphics.setColor(GREEN_COLOR)
	end
	love.graphics.rectangle("fill",120,50,10,player.balanceTwo)
	
	love.graphics.setColor(WHITE_COLOR)
	love.graphics.print("Emotion: ".. player.status,680,40)
	love.graphics.print("Health: "..player.health.. "/"..player.healthMax,500,40)
	love.graphics.print("Defense: "..player.defense,500,60)
end
function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)
  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end
function updatePlayer()
	if player.health < player.healthMax and player.health >= 1 then
		player.health = player.health + (player.healthRegen/4)
	end
	
	if love.keyboard.isDown("up") and not CheckCollision(0-tileOffset.x,0-tileOffset.y, 1500,1,player.x,player.y - 1 - player.speed,player.width,player.height)then
		player.plannedDirectionY = -1
	elseif love.keyboard.isDown("down") and not CheckCollision(0-tileOffset.x,1500-tileOffset.y, 1500,1,player.x,player.y + 1 + player.speed,player.width,player.height) then
		player.plannedDirectionY = 1
	else
		player.plannedDirectionY = 0
	end
	if love.keyboard.isDown("left") and not CheckCollision(0-tileOffset.x,0-tileOffset.y, 1,1500,player.x,player.y - 1 - player.speed,player.width,player.height) then
		player.plannedDirectionX = -1
	elseif love.keyboard.isDown("right") and not CheckCollision(1500-tileOffset.x,0-tileOffset.y, 1,1500,player.x,player.y + 1 + player.speed,player.width,player.height) then
		player.plannedDirectionX = 1
	else
		player.plannedDirectionX = 0
	end
	
	--Pain Aura
	--Slow Aura
	--Max Regen = 1
	--Min Regen = 0
	--Max Speed = 2
	--Min Speed = -.2
	--Max Damage = 3
	--Min Damage = .1
	--Max Defense = 3
	--Min Defense = -1
	
	if player.balanceOne >= 5 and player.balanceTwo >= 5 then
		player.status = "Pain"
		player.healthRegen = 0
		--Pain Aura
	elseif player.balanceOne >= 5 and player.balanceTwo <= -5 then
		player.status = "Cold"
		player.speed = -.2
		player.defense = 3
	elseif player.balanceOne <= -5 and player.balanceTwo >= 5 then
		player.status = "Insane"
		player.defense = -1
		player.damage = 3
	elseif player.balanceOne <= -5 and player.balanceTwo <= -5 then
		player.status = "Mellow"
		player.healthRegen = .001
		player.defense = 3
		--Notin Yet
	elseif player.balanceOne >= 5 then
		player.status = "Sad"
		player.speed = .5
		--Slow Aura
	elseif player.balanceOne <= -5 then
		player.status = "Happy"
		player.healthRegen = 0.05
		player.damage = .5
	elseif player.balanceTwo >= 5 then
		player.status = "Angry"
		player.damage = 2
		player.defense = 0.5
	elseif player.balanceTwo <= -5 then
		player.status = "Calm"
		player.defense = 2
		player.healthRegen = 0
	else
		player.status = "Perfect"
		player.defense = .8
		player.healthRegen = 0.01
		player.speed = .8
		player.damage = .8
	end
	if player.health <= 0 then
		player.status = "Dead"
	end
end

function rollerFire(posX,posY)
	local rollerBall = {}
	rollerBall.dir = math.random(1,4)
	rollerBall.x = posX+20
	rollerBall.y = posY+20
	table.insert(baseTiles.rolls,rollerBall)
end
function saveTileMap()
	local map = {   
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
	}
	local strg = "return {\n"
	for x = 1, #map do 
		strg = strg .. "\t{ "
		for y = 1, #map[1] do
			strg = strg .. tostring(map[x][y])
			if y < #map[1] then 
				strg = strg .. ", "
			end
		end
		strg = strg .. " },\n"
	end
	strg = strg .. " \n}"
	file = love.filesystem.newFile( "map.lua" )
	file:open('w')  
	--file:write(Tserial.pack(map,map, true))
	file:write( strg )
	file:close()
end
function saveFileTable()
local map = {}

for i=0,30 do
	for ii=0,30 do
	maps = {}
	maps.x = i
	maps.y = ii
	table.insert(map,maps)
	saveTable(map,maps)
	end
end




end
function loadText(x,y)
	local map = {}
	local file = io.open("map.lua")
	for line in file:lines() do
		for ii=0,30 do
			map[i][ii] = unpack(line:split(","))
		end
	end
	return map[x][y]
end